## com.ibm.lab.soln.dialogs
Class MyPropertyPage

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.preference.PreferencePage
                  |
                  +--org.eclipse.ui.dialogs.PropertyPage
                        |
                        +--com.ibm.lab.soln.dialogs.MyPropertyPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

public class MyPropertyPage
extends org.eclipse.ui.dialogs.PropertyPage
implements org.eclipse.ui.IWorkbenchPropertyPage

Displays two properties,

    My_Prop_Name

and

    Recent_Edits

associated with the selected resource. These properties are stored as persistent properties. Keys are defined in `IDialogsIDs`.

See Also:
  `IDialogsIDs`, `PropertyPage`, `IWorkbenchPropertyPage`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`MyPropertyPage()` Default constructor.

Method Summary
`protected org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite parent)` Creates the user interface for the property page.
`boolean` | `getReditPropertyState()` Gets the property value for the
`protected void` | `performApply()` Can be used to implement any special processing, such as notification, if required.
`boolean` | `performCancel()` Can be used to implement any cleanup processing that may be required.
`protected void` | `performDefaults()` Can be used to retrieve and set any defaults for the properties that are displayed as part of this page.
`boolean` | `performOk()` Saves a persistent property for the current resource.
`void` | `setReditPropertyState(boolean value)` Sets the property value for the
`void` | `setVisible(boolean visible)` Method triggered as page is entered and exited.

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`computeSize, contributeButtons, createControl, createDescriptionLabel, doComputeSize, doGetPreferenceStore, getContainer, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPropertyPage
`getElement, setElement`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle`

Constructor Detail

### MyPropertyPage

    public MyPropertyPage()

  Default constructor.

Method Detail

### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

  Creates the user interface for the property page. The property value for the

      Recent_Edits

  key is obtained at this time. The

      My_Prop_Name

  property key value is obtained in the `setVisible()` method.
  Overrides:
    `createContents` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.createContents(org.eclipse.swt.widgets.Composite)`

### getReditPropertyState

    public boolean getReditPropertyState()

  Gets the property value for the

      Recent_Edits

  key.
  Returns:
    boolean

### performApply

    protected void performApply()

  Can be used to implement any special processing, such as notification, if required. Logic to actually change properties should be in the `performOk` method as that method will also be triggered when the Apply push button is selected.
  Overrides:
    `performApply` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.performApply()`

### performCancel

    public boolean performCancel()

  Can be used to implement any cleanup processing that may be required.
  Specified by:
    `performCancel` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performCancel` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.performCancel()`

### performDefaults

    protected void performDefaults()

  Can be used to retrieve and set any defaults for the properties that are displayed as part of this page.
  Overrides:
    `performDefaults` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.performDefaults()`

### performOk

    public boolean performOk()

  Saves a persistent property for the current resource. This method is triggered when either the Apply or Ok push button has been selected.
  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.performOk()`

### setReditPropertyState

    public void setReditPropertyState(boolean value)

  Sets the property value for the

      Recent_Edits

  key.

### setVisible

    public void setVisible(boolean visible)

  Method triggered as page is entered and exited. In this demonstration page the

      My_Prop_Name

  property key value is obtained every time the page is entered. The other key shown on this page is only retrieved as the user interface is constructed in the `createContents()` method.
  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`
  See Also:
    `DialogPage.setVisible(boolean)`